<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0">

  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
 
  <xs:element name="Configuration">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="System" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              System Table information.
            </xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="Encryption" minOccurs="0" nillable="true"  >
                <xs:annotation>
                  <xs:documentation>
                    Encryption mode:
                    0 Unencrypted
                    1 Private-key encryption
                    2 Public-key encryption
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Integer32">
                      <xs:enumeration value="0"></xs:enumeration>
                      <xs:enumeration value="1"></xs:enumeration>
                      <xs:enumeration value="2"></xs:enumeration>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
